<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PaymentExtendedMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $type = null;
    


    protected $platform = null;
    


    protected $messageParamsJson = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getType()
    {
        return isset($this->type) ? $this->type : 0;
    }

    public function hasType()
    {
        return isset($this->type);
    }

    public function clearType()
    {
        unset($this->type);
    }

    




    public function setType($var)
    {
        GPBUtil::checkUint32($var);
        $this->type = $var;

        return $this;
    }

    



    public function getPlatform()
    {
        return isset($this->platform) ? $this->platform : '';
    }

    public function hasPlatform()
    {
        return isset($this->platform);
    }

    public function clearPlatform()
    {
        unset($this->platform);
    }

    




    public function setPlatform($var)
    {
        GPBUtil::checkString($var, True);
        $this->platform = $var;

        return $this;
    }

    



    public function getMessageParamsJson()
    {
        return isset($this->messageParamsJson) ? $this->messageParamsJson : '';
    }

    public function hasMessageParamsJson()
    {
        return isset($this->messageParamsJson);
    }

    public function clearMessageParamsJson()
    {
        unset($this->messageParamsJson);
    }

    




    public function setMessageParamsJson($var)
    {
        GPBUtil::checkString($var, True);
        $this->messageParamsJson = $var;

        return $this;
    }

}

